OpenSUSE 42.1/Aktuelles Mono

Aus Hyperweb & OpenSim
Wechseln zu: Suche

Aktuelleres Mono installieren (optional)

Achtung! Bis einschließlich OpenSim 0.8.2 darf höchstens auf Mono 4.0.x aktualisiert werden. OpenSim 0.9.x, OpenSim (Metro) 0.8.3 und OpenSim Arriba sind auch unter Mono 4.2.x lauffähig.

Um das aktuelle Mono aus dem Xamarin Repository zu installieren, muss zuerst ein neues Repository eingetragen werden (siehe Paketauswahl):

http://download.mono-project.com/repo/centos/

Damit Yast das Repository akzeptiert, deaktiviere temporär alle anderen Repositories. Im Gegenzug deaktiviere später das Mono-Repository, damit das Fremdpaket nicht bei normalen OpenSUSE-Updates berücksichtigt wird. Solange das Xamarin Repository eingebunden ist, kann die aktuellste Mono-Version installiert werden:

=> mono-complete

Durch die Auswahl werden viele weitere abhängige Pakete installiert, die in dem Repository enthalten sind. Einzelne Abhängigkeiten können innerhalb des Xamarin Repositories nicht aufgelöst werden. Dort wird zur Auswahl angeboten, die fehlenden Pakete aus dem (deaktivierten) OpenSUSE Repository zu installieren: Ja, die Pakete sollen von OpenSUSE genommen werden!